/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.manager.entity;

import com.baomidou.mybatisplus.annotation.TableName;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import org.springblade.core.mp.base.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 合同段信息表实体类
 *
 * @author liuyc
 * @since 2022-04-14
 */
@Data
@TableName("t_pf_contract_info")
@EqualsAndHashCode(callSuper = true)
public class ContractInfo extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	 * 项目id
	 */
	private String pId;

	/**
	 * 项目名称
	 */
	private String projectName;

	/**
	 * 合同段名称
	 */
	private String contractName;
	/**
	 * 合同段编号
	 */
	private String contractNumber;
	/**
	 * 承包商单位名称
	 */
	private String contractorUnitName;
	/**
	 * 监理单位名称
	 */
	private String supervisionUnitName;
	/**
	 * 参与方进场时间
	 */
	private String contractorJoinTime;
	/**
	 * 计划开工时间
	 */
	private LocalDateTime planStartTime;
	/**
	 * 计划完工时间
	 */
	private LocalDateTime planEndTime;
	/**
	 * 实际开工时间
	 */
	private LocalDateTime actualStartTime;
	/**
	 * 实际完工时间
	 */
	private LocalDateTime actualEndTime;
	/**
	 * 开工令文件
	 */
	private String startFileUrl;
	/**
	 * 合同段总金额
	 */
	private BigDecimal contractAmount;
	/**
	 * 合同段工程位置
	 */
	private String projectPlace;
	/**
	 * 起始桩号
	 */
	private String startStation;
	/**
	 * 结束桩号
	 */
	private String endStation;


}
