package org.springblade.manager.entity;


import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * wbs动态库表单元素实体类
 *
 * @author liuyc
 * @since 2022-04-25
 */
@Data
@TableName("m_wbs_form_element")
@EqualsAndHashCode(callSuper = true)
public class WbsFormElement extends BaseEntity {
	private static final long serialVersionUID = 1L;
	/**
	 *表单id
	 */
	@ApiModelProperty(value = "父id",required = true)
	private String fId;

	/**
	 * 元素名称
	 */
	@ApiModelProperty(value = "元素名称",required = true)
	private String eName;

	/**
	 * 元素类型
	 */
	@ApiModelProperty(value = "元素类型",required = true)
	private Integer eType;

	/**
	 * 元素长度
	 */
	@ApiModelProperty(value = "元素长度",required = true)
	private Integer eLength;

	/**
	 * 允许偏差值
	 */
	@ApiModelProperty(value = "允许偏差值",required = true)
	private String eAllowDeviation;

	/**
	 * 检查方法
	 */
	@ApiModelProperty(value = "检查方法",required = true)
	private String eInspectionMethod;
}
